Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024129
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-18 18:162013-07-16 15:44
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision72d4dfbd0954
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024129: Little performance problem in search tab

DescriptionLittle performance problem in search tab

When you delete all the character the application is going to execute one query to find all products. This is not a problem if you do not have huge quantity of data but it is a problem when you have some thousands of products
Steps To Reproduce-Go to search window

-write something
-display the results

-delete all the characters and verify that the system shows you all the products.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059884)
hgbot (developer)
2013-07-05 09:44

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 72d4dfbd0954dd880e1ff99cac4569520e2e8f71
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jul 05 09:42:35 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/72d4dfbd0954dd880e1ff99cac4569520e2e8f71 [^]

fixed issue 24129: Now you can define the number of characters to initiate the search action. For search product this number has been defined to 2

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproducts.js
---
(0059916)
hgbot (developer)
2013-07-08 15:23

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 72d4dfbd0954dd880e1ff99cac4569520e2e8f71
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jul 05 09:42:35 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/72d4dfbd0954dd880e1ff99cac4569520e2e8f71 [^]

fixed issue 24129: Now you can define the number of characters to initiate the search action. For search product this number has been defined to 2

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproducts.js
---

- Issue History
Date Modified Username Field Change
2013-06-18 18:16 jecharri New Issue
2013-06-18 18:16 jecharri Assigned To => marvintm
2013-06-18 18:17 jecharri Tag Attached: Performance
2013-07-03 15:19 guilleaer Assigned To marvintm => guilleaer
2013-07-05 09:44 hgbot Checkin
2013-07-05 09:44 hgbot Note Added: 0059884
2013-07-05 09:44 hgbot Status new => resolved
2013-07-05 09:44 hgbot Resolution open => fixed
2013-07-05 09:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/72d4dfbd0954dd880e1ff99cac4569520e2e8f71 [^]
2013-07-08 15:23 hgbot Checkin
2013-07-08 15:23 hgbot Note Added: 0059916
2013-07-08 15:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/72d4dfbd0954dd880e1ff99cac4569520e2e8f71 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/72d4dfbd0954dd880e1ff99cac4569520e2e8f71 [^]
2013-07-16 15:44 marvintm Review Assigned To => marvintm
2013-07-16 15:44 marvintm Status resolved => closed
2013-07-16 15:44 marvintm Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker